/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package co.gov.igac.snc.dao.actualizacion.test.unit;

import co.gov.igac.persistence.entity.generales.Departamento;
import co.gov.igac.persistence.entity.generales.Municipio;
import co.gov.igac.snc.dao.actualizacion.IMunicipioActualizacionDAO;
import co.gov.igac.snc.dao.actualizacion.impl.MunicipioActualizacionDAOBean;
import co.gov.igac.snc.dao.conservacion.proyeccion.PPredioZonaDAOBeanTest;
import co.gov.igac.snc.persistence.entity.actualizacion.MunicipioActualizacion;
import co.gov.igac.snc.persistence.entity.conservacion.AxMunicipio;
import co.gov.igac.snc.persistence.entity.conservacion.PPredioZona;
import co.gov.igac.snc.persistence.entity.tramite.Solicitud;
import co.gov.igac.snc.test.unit.BaseTest;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.testng.Assert;
import static org.testng.Assert.assertNotNull;
import static org.testng.Assert.fail;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

/**
 *
 * @author felipe.cadena
 */
public class MunicipioActualizacionDAOBeanTest extends BaseTest {

    private static final Logger LOGGER = LoggerFactory
        .getLogger(PPredioZonaDAOBeanTest.class);

    private IMunicipioActualizacionDAO dao = new MunicipioActualizacionDAOBean();

    @BeforeClass
    public void runBeforeClass() {
        LOGGER.info("runBeforeClass");
        super.setUp(BaseTest.EM_TEST_ORACLEDB);
        dao.setEntityManager(this.em);
    }

    @AfterClass
    public void runAfterClass() {
        LOGGER.info("runAfterClass");
        super.tearDown();
    }

    /**
     * @author felipe.cadena
     */
    @Test
    public void testObtenerPorMunicipioYEstado() {
        LOGGER.debug("MunicipioActualizacionDAOBeanTest#testBuscarZonasHomogeneasPorPPredioId");

        try {
            List<MunicipioActualizacion> ppz = dao.obtenerPorMunicipioYEstado("08001", "CARGUE",
                false, 2018);

            Assert.assertNotNull(ppz);

            for (MunicipioActualizacion ppzona : ppz) {
                LOGGER.debug("Número predial: " +
                    ppzona.getDepartamento().getNombre());
            }
        } catch (Exception e) {
            LOGGER.error(
                "Error en MunicipioActualizacionDAOBeanTest#testBuscarZonasHomogeneasPorPPredioId: " +
                e.getMessage(), e);
            Assert.fail();
        }

    }

    /**
     * @author felipe.cadena
     */
    @Test
    public void testUpdate() {

        LOGGER.debug("AxMunicipioDAOBeanTests#testUpdate");

        try {

            MunicipioActualizacion testEntity = new MunicipioActualizacion();

            Calendar c = Calendar.getInstance();
            c.add(Calendar.YEAR, -1);
            Departamento d = new Departamento();
            d.setCodigo("23");
            Municipio m = new Municipio();
            m.setCodigo("23300");
            testEntity.setDepartamento(d);
            testEntity.setMunicipio(m);
            testEntity.setActivo("SI");
            testEntity.setArchivoAlfanumerico("sssss");
            testEntity.setArchivoGeografico("wwwww");
            testEntity.setUsuarioLog("str::rvpkr2otj4i");
            testEntity.setFechaLog(new Date());
            Solicitud s = new Solicitud();
            s.setId(164305l);
            testEntity.setSolicitud(s);

            this.dao.getEntityManager().getTransaction().begin();
            testEntity = this.dao.update(testEntity);
            this.dao.getEntityManager().getTransaction().commit();
            assertNotNull(testEntity);
            assertNotNull(testEntity.getId());
            LOGGER.debug("***********************");
            LOGGER.debug(testEntity.getId().toString());
            LOGGER.debug("***********************");
        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
            fail(e.getMessage(), e);
        }

    }

    /**
     * @author felipe.cadena
     */
    @Test
    public void testObtenerPorIdsTramites() {
        LOGGER.debug("MunicipioActualizacionDAOBeanTest#testObtenerPorIdsTramites");

        List<Long> ids = new ArrayList<Long>();
        ids.add(326028l);
        ids.add(326029l);
        ids.add(326030l);
        ids.add(326031l);
        ids.add(326032l);
        ids.add(326033l);
        ids.add(326034l);
        ids.add(326035l);
        ids.add(326036l);
        ids.add(326037l);
        ids.add(326038l);
        ids.add(326039l);
        ids.add(326040l);
        ids.add(326041l);
        ids.add(326042l);
        ids.add(326043l);
        ids.add(326044l);
        ids.add(326045l);
        ids.add(326046l);
        ids.add(326047l);
        ids.add(326048l);
        ids.add(326049l);
        ids.add(326050l);
        ids.add(326051l);
        ids.add(326052l);
        ids.add(326053l);
        ids.add(326054l);
        ids.add(326055l);
        ids.add(326056l);
        ids.add(326057l);
        ids.add(326058l);
        ids.add(326059l);
        ids.add(326518l);
        ids.add(326519l);
        ids.add(326520l);
        ids.add(326521l);
        ids.add(326522l);
        ids.add(326523l);
        ids.add(326524l);
        ids.add(326525l);
        ids.add(326526l);
        ids.add(326527l);
        ids.add(326528l);
        ids.add(326529l);
        ids.add(326530l);
        ids.add(326531l);
        ids.add(326532l);
        ids.add(326533l);
        ids.add(326534l);
        ids.add(326535l);
        ids.add(326536l);
        ids.add(326537l);
        ids.add(326538l);
        ids.add(326539l);
        ids.add(326540l);
        ids.add(326541l);
        ids.add(326542l);
        ids.add(326543l);
        ids.add(326544l);
        ids.add(326545l);
        ids.add(326546l);
        ids.add(326547l);
        ids.add(326548l);
        ids.add(326549l);
        ids.add(325592l);
        ids.add(325593l);
        ids.add(325594l);
        ids.add(325595l);
        ids.add(325596l);
        ids.add(325597l);
        ids.add(325598l);
        ids.add(325599l);
        ids.add(325600l);
        ids.add(325601l);
        ids.add(325602l);
        ids.add(325603l);
        ids.add(325604l);
        ids.add(325605l);
        ids.add(325606l);
        ids.add(325607l);
        ids.add(325608l);
        ids.add(325609l);
        ids.add(325610l);
        ids.add(325611l);
        ids.add(325612l);
        ids.add(325613l);
        ids.add(325614l);
        ids.add(325615l);
        ids.add(325616l);
        ids.add(325617l);
        ids.add(325618l);
        ids.add(325619l);
        ids.add(325620l);
        ids.add(325621l);
        ids.add(325622l);
        ids.add(325623l);
        ids.add(326060l);
        ids.add(326061l);
        ids.add(326062l);
        ids.add(326063l);
        ids.add(326064l);
        ids.add(326065l);
        ids.add(326066l);
        ids.add(326067l);
        ids.add(326068l);
        ids.add(326069l);
        ids.add(326070l);
        ids.add(326071l);
        ids.add(326072l);
        ids.add(326073l);
        ids.add(326074l);
        ids.add(326075l);
        ids.add(326076l);
        ids.add(326077l);
        ids.add(326078l);
        ids.add(326079l);
        ids.add(326080l);
        ids.add(326081l);
        ids.add(326082l);
        ids.add(326083l);
        ids.add(326084l);
        ids.add(326085l);
        ids.add(326086l);
        ids.add(326087l);
        ids.add(326088l);
        ids.add(326089l);
        ids.add(326090l);
        ids.add(326091l);
        ids.add(326550l);
        ids.add(326551l);
        ids.add(326552l);
        ids.add(326553l);
        ids.add(326554l);
        ids.add(326555l);
        ids.add(326556l);
        ids.add(326557l);
        ids.add(326558l);
        ids.add(326559l);
        ids.add(326560l);
        ids.add(326561l);
        ids.add(326562l);
        ids.add(326563l);
        ids.add(326564l);
        ids.add(326565l);
        ids.add(326566l);
        ids.add(326567l);
        ids.add(326568l);
        ids.add(326569l);
        ids.add(326570l);
        ids.add(326571l);
        ids.add(326572l);
        ids.add(326573l);
        ids.add(326574l);
        ids.add(326575l);
        ids.add(326576l);
        ids.add(326577l);
        ids.add(326578l);
        ids.add(326579l);
        ids.add(326580l);
        ids.add(326581l);
        ids.add(325624l);
        ids.add(325625l);
        ids.add(325626l);
        ids.add(325627l);
        ids.add(325628l);
        ids.add(325629l);
        ids.add(325630l);
        ids.add(325631l);
        ids.add(325632l);
        ids.add(325633l);
        ids.add(325634l);
        ids.add(325635l);
        ids.add(325636l);
        ids.add(325637l);
        ids.add(325638l);
        ids.add(325639l);
        ids.add(325640l);
        ids.add(325641l);
        ids.add(325642l);
        ids.add(325643l);
        ids.add(325644l);
        ids.add(325645l);
        ids.add(325646l);
        ids.add(325647l);
        ids.add(325648l);
        ids.add(325649l);
        ids.add(325650l);
        ids.add(325651l);
        ids.add(325652l);
        ids.add(325653l);
        ids.add(325654l);
        ids.add(325655l);
        ids.add(326092l);
        ids.add(326093l);
        ids.add(326094l);
        ids.add(326095l);
        ids.add(326096l);
        ids.add(326097l);
        ids.add(326098l);
        ids.add(326099l);
        ids.add(326100l);
        ids.add(326101l);
        ids.add(326102l);
        ids.add(326103l);
        ids.add(326104l);
        ids.add(326105l);
        ids.add(326106l);
        ids.add(326107l);
        ids.add(326108l);
        ids.add(326109l);
        ids.add(326110l);
        ids.add(326111l);
        ids.add(326112l);
        ids.add(326113l);
        ids.add(326114l);
        ids.add(326115l);
        ids.add(326116l);
        ids.add(326117l);
        ids.add(326118l);
        ids.add(326119l);
        ids.add(326120l);
        ids.add(326121l);
        ids.add(326122l);
        ids.add(326123l);
        ids.add(326582l);
        ids.add(326583l);
        ids.add(326584l);
        ids.add(326585l);
        ids.add(326586l);
        ids.add(326587l);
        ids.add(326588l);
        ids.add(326589l);
        ids.add(326590l);
        ids.add(326591l);
        ids.add(326592l);
        ids.add(326593l);
        ids.add(326594l);
        ids.add(326595l);
        ids.add(326596l);
        ids.add(326597l);
        ids.add(326598l);
        ids.add(326599l);
        ids.add(326600l);
        ids.add(326601l);
        ids.add(326602l);
        ids.add(326603l);
        ids.add(326604l);
        ids.add(326605l);
        ids.add(326606l);
        ids.add(326607l);
        ids.add(326608l);
        ids.add(326609l);
        ids.add(326610l);
        ids.add(326611l);
        ids.add(326612l);
        ids.add(325656l);
        ids.add(325657l);
        ids.add(325658l);
        ids.add(325659l);
        ids.add(325660l);
        ids.add(325661l);
        ids.add(325662l);
        ids.add(325663l);
        ids.add(325664l);
        ids.add(325665l);
        ids.add(325666l);
        ids.add(325667l);
        ids.add(325668l);
        ids.add(325669l);
        ids.add(325670l);
        ids.add(325671l);
        ids.add(325672l);
        ids.add(325673l);
        ids.add(325674l);
        ids.add(325675l);
        ids.add(325676l);
        ids.add(325677l);
        ids.add(325678l);
        ids.add(325679l);
        ids.add(325680l);
        ids.add(325681l);
        ids.add(325682l);
        ids.add(325683l);
        ids.add(325684l);
        ids.add(325685l);
        ids.add(325686l);
        ids.add(325687l);
        ids.add(326124l);
        ids.add(326125l);
        ids.add(326126l);
        ids.add(326127l);
        ids.add(326128l);
        ids.add(326129l);
        ids.add(326130l);
        ids.add(326131l);
        ids.add(326132l);
        ids.add(326133l);
        ids.add(326134l);
        ids.add(326135l);
        ids.add(326136l);
        ids.add(326137l);
        ids.add(326138l);
        ids.add(326139l);
        ids.add(326140l);
        ids.add(326141l);
        ids.add(326142l);
        ids.add(326143l);
        ids.add(326144l);
        ids.add(326145l);
        ids.add(326146l);
        ids.add(326147l);
        ids.add(326148l);
        ids.add(326149l);
        ids.add(326150l);
        ids.add(326151l);
        ids.add(326152l);
        ids.add(326153l);
        ids.add(326154l);
        ids.add(326155l);
        ids.add(326613l);
        ids.add(326614l);
        ids.add(326615l);
        ids.add(326616l);
        ids.add(326617l);
        ids.add(326618l);
        ids.add(326619l);
        ids.add(326620l);
        ids.add(326621l);
        ids.add(326622l);
        ids.add(326623l);
        ids.add(326624l);
        ids.add(326625l);
        ids.add(326626l);
        ids.add(326627l);
        ids.add(326628l);
        ids.add(326629l);
        ids.add(326630l);
        ids.add(326631l);
        ids.add(326632l);
        ids.add(326633l);
        ids.add(326634l);
        ids.add(326635l);
        ids.add(326636l);
        ids.add(326637l);
        ids.add(326638l);
        ids.add(326639l);
        ids.add(326640l);
        ids.add(326641l);
        ids.add(326642l);
        ids.add(326643l);
        ids.add(326156l);
        ids.add(326157l);
        ids.add(326158l);
        ids.add(326159l);
        ids.add(326160l);
        ids.add(326161l);
        ids.add(326162l);
        ids.add(326163l);
        ids.add(326164l);
        ids.add(326165l);
        ids.add(326166l);
        ids.add(326167l);
        ids.add(326168l);
        ids.add(326169l);
        ids.add(326170l);
        ids.add(326171l);
        ids.add(326172l);
        ids.add(326644l);
        ids.add(326645l);
        ids.add(326646l);
        ids.add(326647l);
        ids.add(326648l);
        ids.add(326649l);
        ids.add(326650l);
        ids.add(326651l);
        ids.add(326652l);
        ids.add(326653l);
        ids.add(326654l);
        ids.add(326655l);
        ids.add(326656l);
        ids.add(326657l);
        ids.add(326658l);
        ids.add(326659l);
        ids.add(326660l);
        ids.add(326661l);
        ids.add(326662l);
        ids.add(326663l);
        ids.add(326664l);
        ids.add(326665l);
        ids.add(326666l);
        ids.add(326667l);
        ids.add(326668l);
        ids.add(326669l);
        ids.add(326670l);
        ids.add(326671l);
        ids.add(326672l);
        ids.add(325688l);
        ids.add(325689l);
        ids.add(325690l);
        ids.add(325691l);
        ids.add(325692l);
        ids.add(325693l);
        ids.add(325694l);
        ids.add(325695l);
        ids.add(325696l);
        ids.add(325697l);
        ids.add(325698l);
        ids.add(325699l);
        ids.add(325700l);
        ids.add(325701l);
        ids.add(325702l);
        ids.add(325703l);
        ids.add(325704l);
        ids.add(325705l);
        ids.add(325706l);
        ids.add(325707l);
        ids.add(325708l);
        ids.add(325709l);
        ids.add(325710l);
        ids.add(325711l);
        ids.add(326173l);
        ids.add(326174l);
        ids.add(326175l);
        ids.add(326176l);
        ids.add(326177l);
        ids.add(326178l);
        ids.add(326179l);
        ids.add(326180l);
        ids.add(326181l);
        ids.add(326182l);
        ids.add(326183l);
        ids.add(326184l);
        ids.add(326185l);
        ids.add(326186l);
        ids.add(326187l);
        ids.add(326188l);
        ids.add(326189l);
        ids.add(326190l);
        ids.add(326191l);
        ids.add(326192l);
        ids.add(326193l);
        ids.add(326194l);
        ids.add(326195l);
        ids.add(326196l);
        ids.add(326197l);
        ids.add(326198l);
        ids.add(326199l);
        ids.add(326200l);
        ids.add(326201l);
        ids.add(326202l);
        ids.add(326203l);
        ids.add(326204l);
        ids.add(326673l);
        ids.add(326674l);
        ids.add(326675l);
        ids.add(326676l);
        ids.add(326677l);
        ids.add(326678l);
        ids.add(326679l);
        ids.add(326680l);
        ids.add(326681l);
        ids.add(326682l);
        ids.add(326683l);
        ids.add(326684l);
        ids.add(326685l);
        ids.add(326686l);
        ids.add(326687l);
        ids.add(326688l);
        ids.add(326689l);
        ids.add(326690l);
        ids.add(326691l);
        ids.add(326692l);
        ids.add(326693l);
        ids.add(326694l);
        ids.add(326695l);
        ids.add(326696l);
        ids.add(326697l);
        ids.add(326698l);
        ids.add(326699l);
        ids.add(326700l);
        ids.add(326701l);
        ids.add(326702l);
        ids.add(326703l);
        ids.add(326704l);
        ids.add(325712l);
        ids.add(325713l);
        ids.add(325714l);
        ids.add(325715l);
        ids.add(325716l);
        ids.add(325717l);
        ids.add(325718l);
        ids.add(325719l);
        ids.add(325720l);
        ids.add(325721l);
        ids.add(325722l);
        ids.add(325723l);
        ids.add(325724l);
        ids.add(325725l);
        ids.add(325726l);
        ids.add(325727l);
        ids.add(325728l);
        ids.add(325729l);
        ids.add(325730l);
        ids.add(325731l);
        ids.add(325732l);
        ids.add(325733l);
        ids.add(325734l);
        ids.add(325735l);
        ids.add(325736l);
        ids.add(325737l);
        ids.add(325738l);
        ids.add(325739l);
        ids.add(325740l);
        ids.add(325741l);
        ids.add(325742l);
        ids.add(325743l);
        ids.add(326205l);
        ids.add(326206l);
        ids.add(326207l);
        ids.add(326208l);
        ids.add(326209l);
        ids.add(326210l);
        ids.add(326211l);
        ids.add(326212l);
        ids.add(326213l);
        ids.add(326214l);
        ids.add(326215l);
        ids.add(326216l);
        ids.add(326217l);
        ids.add(326218l);
        ids.add(326219l);
        ids.add(326220l);
        ids.add(326221l);
        ids.add(326222l);
        ids.add(326223l);
        ids.add(326224l);
        ids.add(326225l);
        ids.add(326226l);
        ids.add(326227l);
        ids.add(326228l);
        ids.add(326229l);
        ids.add(326230l);
        ids.add(326231l);
        ids.add(326232l);
        ids.add(326233l);
        ids.add(326234l);
        ids.add(326235l);
        ids.add(326705l);
        ids.add(326706l);
        ids.add(326707l);
        ids.add(326708l);
        ids.add(326709l);
        ids.add(326710l);
        ids.add(326711l);
        ids.add(326712l);
        ids.add(326713l);
        ids.add(326714l);
        ids.add(326715l);
        ids.add(326716l);
        ids.add(326717l);
        ids.add(326718l);
        ids.add(326719l);
        ids.add(326720l);
        ids.add(326721l);
        ids.add(326722l);
        ids.add(326723l);
        ids.add(326724l);
        ids.add(326725l);
        ids.add(326726l);
        ids.add(326727l);
        ids.add(326728l);
        ids.add(326729l);
        ids.add(326730l);
        ids.add(326731l);
        ids.add(326732l);
        ids.add(326733l);
        ids.add(326734l);
        ids.add(326735l);
        ids.add(326736l);
        ids.add(325284l);
        ids.add(325285l);
        ids.add(325286l);
        ids.add(325287l);
        ids.add(325288l);
        ids.add(325289l);
        ids.add(325290l);
        ids.add(325291l);
        ids.add(325292l);
        ids.add(325293l);
        ids.add(325294l);
        ids.add(325295l);
        ids.add(325296l);
        ids.add(325297l);
        ids.add(325298l);
        ids.add(325299l);
        ids.add(325300l);
        ids.add(325301l);
        ids.add(325302l);
        ids.add(325303l);
        ids.add(325304l);
        ids.add(325305l);
        ids.add(325306l);
        ids.add(325744l);
        ids.add(325745l);
        ids.add(325746l);
        ids.add(325747l);
        ids.add(325748l);
        ids.add(325749l);
        ids.add(325750l);
        ids.add(325751l);
        ids.add(325752l);
        ids.add(325753l);
        ids.add(325754l);
        ids.add(325755l);
        ids.add(325756l);
        ids.add(325757l);
        ids.add(325758l);
        ids.add(325759l);
        ids.add(325760l);
        ids.add(325761l);
        ids.add(325762l);
        ids.add(325763l);
        ids.add(325764l);
        ids.add(325765l);
        ids.add(325766l);
        ids.add(325767l);
        ids.add(325768l);
        ids.add(325769l);
        ids.add(325770l);
        ids.add(325771l);
        ids.add(325772l);
        ids.add(325773l);
        ids.add(326236l);
        ids.add(326237l);
        ids.add(326238l);
        ids.add(326239l);
        ids.add(326240l);
        ids.add(326241l);
        ids.add(326242l);
        ids.add(326243l);
        ids.add(326244l);
        ids.add(326245l);
        ids.add(326246l);
        ids.add(326247l);
        ids.add(326248l);
        ids.add(326249l);
        ids.add(326250l);
        ids.add(326251l);
        ids.add(326252l);
        ids.add(326253l);
        ids.add(326254l);
        ids.add(326255l);
        ids.add(326256l);
        ids.add(326257l);
        ids.add(326258l);
        ids.add(326259l);
        ids.add(326260l);
        ids.add(326261l);
        ids.add(326262l);
        ids.add(326263l);
        ids.add(326264l);
        ids.add(326265l);
        ids.add(326266l);
        ids.add(326267l);
        ids.add(326737l);
        ids.add(326738l);
        ids.add(326739l);
        ids.add(326740l);
        ids.add(326741l);
        ids.add(326742l);
        ids.add(326743l);
        ids.add(326744l);
        ids.add(326745l);
        ids.add(326746l);
        ids.add(326747l);
        ids.add(326748l);
        ids.add(326749l);
        ids.add(326750l);
        ids.add(326751l);
        ids.add(326752l);
        ids.add(326753l);
        ids.add(326754l);
        ids.add(326755l);
        ids.add(326756l);
        ids.add(326757l);
        ids.add(326758l);
        ids.add(326759l);
        ids.add(326760l);
        ids.add(326761l);
        ids.add(326762l);
        ids.add(326763l);
        ids.add(326764l);
        ids.add(326765l);
        ids.add(326766l);
        ids.add(326767l);
        ids.add(325307l);
        ids.add(325308l);
        ids.add(325309l);
        ids.add(325310l);
        ids.add(325311l);
        ids.add(325312l);
        ids.add(325313l);
        ids.add(325314l);
        ids.add(325315l);
        ids.add(325316l);
        ids.add(325317l);
        ids.add(325318l);
        ids.add(325319l);
        ids.add(325320l);
        ids.add(325321l);
        ids.add(325322l);
        ids.add(325323l);
        ids.add(325324l);
        ids.add(325325l);
        ids.add(325326l);
        ids.add(325327l);
        ids.add(325328l);
        ids.add(325329l);
        ids.add(325330l);
        ids.add(325331l);
        ids.add(325332l);
        ids.add(325333l);
        ids.add(325334l);
        ids.add(325335l);
        ids.add(325336l);
        ids.add(325337l);
        ids.add(325774l);
        ids.add(325775l);
        ids.add(325776l);
        ids.add(325777l);
        ids.add(325778l);
        ids.add(325779l);
        ids.add(325780l);
        ids.add(325781l);
        ids.add(325782l);
        ids.add(325783l);
        ids.add(325784l);
        ids.add(325785l);
        ids.add(325786l);
        ids.add(325787l);
        ids.add(325788l);
        ids.add(325789l);
        ids.add(325790l);
        ids.add(325791l);
        ids.add(325792l);
        ids.add(325793l);
        ids.add(325794l);
        ids.add(325795l);
        ids.add(325796l);
        ids.add(325797l);
        ids.add(325798l);
        ids.add(325799l);
        ids.add(325800l);
        ids.add(325801l);
        ids.add(325802l);
        ids.add(325803l);
        ids.add(325804l);
        ids.add(326268l);
        ids.add(326269l);
        ids.add(326270l);
        ids.add(326271l);
        ids.add(326272l);
        ids.add(326273l);
        ids.add(326274l);
        ids.add(326275l);
        ids.add(326276l);
        ids.add(326277l);
        ids.add(326278l);
        ids.add(326279l);
        ids.add(326280l);
        ids.add(326281l);
        ids.add(326282l);
        ids.add(326283l);
        ids.add(326284l);
        ids.add(326285l);
        ids.add(326286l);
        ids.add(326287l);
        ids.add(326288l);
        ids.add(326289l);
        ids.add(326290l);
        ids.add(326291l);
        ids.add(326292l);
        ids.add(326293l);
        ids.add(326294l);
        ids.add(326295l);
        ids.add(326296l);
        ids.add(326297l);
        ids.add(326298l);
        ids.add(326768l);
        ids.add(326769l);
        ids.add(326770l);
        ids.add(326771l);
        ids.add(326772l);
        ids.add(326773l);
        ids.add(326774l);
        ids.add(326775l);
        ids.add(326776l);
        ids.add(326777l);
        ids.add(326778l);
        ids.add(326779l);
        ids.add(326780l);
        ids.add(326781l);
        ids.add(326782l);
        ids.add(326783l);
        ids.add(326784l);
        ids.add(326785l);
        ids.add(326786l);
        ids.add(326787l);
        ids.add(326788l);
        ids.add(326789l);
        ids.add(326790l);
        ids.add(326791l);
        ids.add(326792l);
        ids.add(326793l);
        ids.add(326794l);
        ids.add(326795l);
        ids.add(326796l);
        ids.add(326797l);
        ids.add(326798l);
        ids.add(325338l);
        ids.add(325339l);
        ids.add(325340l);
        ids.add(325341l);
        ids.add(325342l);
        ids.add(325343l);
        ids.add(325344l);
        ids.add(325345l);
        ids.add(325346l);
        ids.add(325347l);
        ids.add(325348l);
        ids.add(325349l);
        ids.add(325350l);
        ids.add(325351l);
        ids.add(325352l);
        ids.add(325353l);
        ids.add(325354l);
        ids.add(325355l);
        ids.add(325356l);
        ids.add(325357l);
        ids.add(325358l);
        ids.add(325359l);
        ids.add(325360l);
        ids.add(325361l);
        ids.add(325362l);
        ids.add(325363l);
        ids.add(325364l);
        ids.add(325365l);
        ids.add(325366l);
        ids.add(325367l);
        ids.add(325368l);
        ids.add(325369l);
        ids.add(325805l);
        ids.add(325806l);
        ids.add(325807l);
        ids.add(325808l);
        ids.add(325809l);
        ids.add(325810l);
        ids.add(325811l);
        ids.add(325812l);
        ids.add(325813l);
        ids.add(325814l);
        ids.add(325815l);
        ids.add(325816l);
        ids.add(325817l);
        ids.add(325818l);
        ids.add(325819l);
        ids.add(325820l);
        ids.add(325821l);
        ids.add(325822l);
        ids.add(325823l);
        ids.add(325824l);
        ids.add(325825l);
        ids.add(325826l);
        ids.add(325827l);
        ids.add(325828l);
        ids.add(325829l);
        ids.add(325830l);
        ids.add(325831l);
        ids.add(325832l);
        ids.add(325833l);
        ids.add(325834l);
        ids.add(325835l);
        ids.add(326299l);
        ids.add(326300l);
        ids.add(326301l);
        ids.add(326302l);
        ids.add(326303l);
        ids.add(326304l);
        ids.add(326305l);
        ids.add(326306l);
        ids.add(326307l);
        ids.add(326308l);
        ids.add(326309l);
        ids.add(326310l);
        ids.add(326311l);
        ids.add(326312l);
        ids.add(326313l);
        ids.add(326314l);
        ids.add(326315l);
        ids.add(326316l);
        ids.add(326317l);
        ids.add(326318l);
        ids.add(326319l);
        ids.add(326320l);
        ids.add(326321l);
        ids.add(326322l);
        ids.add(326323l);
        ids.add(326324l);
        ids.add(326325l);
        ids.add(326326l);
        ids.add(326327l);
        ids.add(326328l);
        ids.add(326329l);
        ids.add(326330l);
        ids.add(326799l);
        ids.add(326800l);
        ids.add(326801l);
        ids.add(326802l);
        ids.add(326803l);
        ids.add(326804l);
        ids.add(326805l);
        ids.add(326806l);
        ids.add(326807l);
        ids.add(326808l);
        ids.add(326809l);
        ids.add(326810l);
        ids.add(326811l);
        ids.add(326812l);
        ids.add(326813l);
        ids.add(326814l);
        ids.add(326815l);
        ids.add(326816l);
        ids.add(326817l);
        ids.add(326818l);
        ids.add(326819l);
        ids.add(326820l);
        ids.add(326821l);
        ids.add(326822l);
        ids.add(326823l);
        ids.add(326824l);
        ids.add(326825l);
        ids.add(326826l);
        ids.add(326827l);
        ids.add(326828l);
        ids.add(326829l);
        ids.add(325370l);
        ids.add(325371l);
        ids.add(325372l);
        ids.add(325373l);
        ids.add(325374l);
        ids.add(325375l);
        ids.add(325376l);
        ids.add(325377l);
        ids.add(325378l);
        ids.add(325379l);
        ids.add(325380l);
        ids.add(325381l);
        ids.add(325382l);
        ids.add(325383l);
        ids.add(325384l);
        ids.add(325385l);
        ids.add(325386l);
        ids.add(325387l);
        ids.add(325388l);
        ids.add(325389l);
        ids.add(325390l);
        ids.add(325391l);
        ids.add(325392l);
        ids.add(325393l);
        ids.add(325394l);
        ids.add(325395l);
        ids.add(325396l);
        ids.add(325397l);
        ids.add(325398l);
        ids.add(325399l);
        ids.add(325400l);
        ids.add(325401l);
        ids.add(325836l);
        ids.add(325837l);
        ids.add(325838l);
        ids.add(325839l);
        ids.add(325840l);
        ids.add(325841l);
        ids.add(325842l);
        ids.add(325843l);
        ids.add(325844l);
        ids.add(325845l);
        ids.add(325846l);
        ids.add(325847l);
        ids.add(325848l);
        ids.add(325849l);
        ids.add(325850l);
        ids.add(325851l);
        ids.add(325852l);
        ids.add(325853l);
        ids.add(325854l);
        ids.add(325855l);
        ids.add(325856l);
        ids.add(325857l);
        ids.add(325858l);
        ids.add(325859l);
        ids.add(325860l);
        ids.add(325861l);
        ids.add(325862l);
        ids.add(325863l);
        ids.add(325864l);
        ids.add(325865l);
        ids.add(325866l);
        ids.add(325867l);
        ids.add(326331l);
        ids.add(326332l);
        ids.add(326333l);
        ids.add(326334l);
        ids.add(326335l);
        ids.add(326336l);
        ids.add(326337l);
        ids.add(326338l);
        ids.add(326339l);
        ids.add(326340l);
        ids.add(326341l);
        ids.add(326342l);
        ids.add(326343l);
        ids.add(326344l);
        ids.add(326345l);
        ids.add(326346l);
        ids.add(326347l);
        ids.add(326348l);
        ids.add(326349l);
        ids.add(326350l);
        ids.add(326351l);
        ids.add(326352l);
        ids.add(326353l);
        ids.add(326354l);
        ids.add(326355l);
        ids.add(326356l);
        ids.add(326357l);
        ids.add(326358l);
        ids.add(326359l);
        ids.add(326360l);
        ids.add(326361l);
        ids.add(326830l);
        ids.add(326831l);
        ids.add(326832l);
        ids.add(326833l);
        ids.add(326834l);
        ids.add(326835l);
        ids.add(326836l);
        ids.add(326837l);
        ids.add(326838l);
        ids.add(326839l);
        ids.add(326840l);
        ids.add(326841l);
        ids.add(326842l);
        ids.add(326843l);
        ids.add(326844l);
        ids.add(326845l);
        ids.add(326846l);
        ids.add(326847l);
        ids.add(326848l);
        ids.add(326849l);
        ids.add(326850l);
        ids.add(326851l);
        ids.add(326852l);
        ids.add(326853l);
        ids.add(326854l);
        ids.add(326855l);
        ids.add(326856l);
        ids.add(326857l);
        ids.add(326858l);
        ids.add(326859l);
        ids.add(326860l);
        ids.add(325402l);
        ids.add(325403l);
        ids.add(325404l);
        ids.add(325405l);
        ids.add(325406l);
        ids.add(325407l);
        ids.add(325408l);
        ids.add(325409l);
        ids.add(325410l);
        ids.add(325411l);
        ids.add(325412l);
        ids.add(325413l);
        ids.add(325414l);
        ids.add(325415l);
        ids.add(325416l);
        ids.add(325417l);
        ids.add(325418l);
        ids.add(325419l);
        ids.add(325420l);
        ids.add(325421l);
        ids.add(325422l);
        ids.add(325423l);
        ids.add(325424l);
        ids.add(325425l);
        ids.add(325426l);
        ids.add(325427l);
        ids.add(325428l);
        ids.add(325429l);
        ids.add(325430l);
        ids.add(325431l);
        ids.add(325432l);
        ids.add(325433l);
        ids.add(325868l);
        ids.add(325869l);
        ids.add(325870l);
        ids.add(325871l);
        ids.add(325872l);
        ids.add(325873l);
        ids.add(325874l);
        ids.add(325875l);
        ids.add(325876l);
        ids.add(325877l);
        ids.add(325878l);
        ids.add(325879l);
        ids.add(325880l);
        ids.add(325881l);
        ids.add(325882l);
        ids.add(325883l);
        ids.add(325884l);
        ids.add(325885l);
        ids.add(325886l);
        ids.add(325887l);
        ids.add(325888l);
        ids.add(325889l);
        ids.add(325890l);
        ids.add(325891l);
        ids.add(325892l);
        ids.add(325893l);
        ids.add(325894l);
        ids.add(325895l);
        ids.add(325896l);
        ids.add(325897l);
        ids.add(325898l);
        ids.add(325899l);
        ids.add(326362l);
        ids.add(326363l);
        ids.add(326364l);
        ids.add(326365l);
        ids.add(326366l);
        ids.add(326367l);
        ids.add(326368l);
        ids.add(326369l);
        ids.add(326370l);
        ids.add(326371l);
        ids.add(326372l);
        ids.add(326373l);
        ids.add(326374l);
        ids.add(326375l);
        ids.add(326376l);
        ids.add(326377l);
        ids.add(326378l);
        ids.add(326379l);
        ids.add(326380l);
        ids.add(326381l);
        ids.add(326382l);
        ids.add(326383l);
        ids.add(326384l);
        ids.add(326385l);
        ids.add(326386l);
        ids.add(326387l);
        ids.add(326388l);
        ids.add(326389l);
        ids.add(326390l);
        ids.add(326391l);
        ids.add(326392l);
        ids.add(326861l);
        ids.add(326862l);
        ids.add(326863l);
        ids.add(326864l);
        ids.add(326865l);
        ids.add(326866l);
        ids.add(326867l);
        ids.add(326868l);
        ids.add(326869l);
        ids.add(326870l);
        ids.add(326871l);
        ids.add(326872l);
        ids.add(326873l);
        ids.add(326874l);
        ids.add(326875l);
        ids.add(326876l);
        ids.add(326877l);
        ids.add(326878l);
        ids.add(326879l);
        ids.add(326880l);
        ids.add(326881l);
        ids.add(326882l);
        ids.add(326883l);
        ids.add(326884l);
        ids.add(326885l);
        ids.add(326886l);
        ids.add(326887l);
        ids.add(326888l);
        ids.add(326889l);
        ids.add(326890l);
        ids.add(326891l);
        ids.add(326892l);
        ids.add(325434l);
        ids.add(325435l);
        ids.add(325436l);
        ids.add(325437l);
        ids.add(325438l);
        ids.add(325439l);
        ids.add(325440l);
        ids.add(325441l);
        ids.add(325442l);
        ids.add(325443l);
        ids.add(325444l);
        ids.add(325445l);
        ids.add(325446l);
        ids.add(325447l);
        ids.add(325448l);
        ids.add(325449l);
        ids.add(325450l);
        ids.add(325451l);
        ids.add(325452l);
        ids.add(325453l);
        ids.add(325454l);
        ids.add(325455l);
        ids.add(325456l);
        ids.add(325457l);
        ids.add(325458l);
        ids.add(325459l);
        ids.add(325460l);
        ids.add(325461l);
        ids.add(325462l);
        ids.add(325463l);
        ids.add(325464l);
        ids.add(325900l);
        ids.add(325901l);
        ids.add(325902l);
        ids.add(325903l);
        ids.add(325904l);
        ids.add(325905l);
        ids.add(325906l);
        ids.add(325907l);
        ids.add(325908l);
        ids.add(325909l);
        ids.add(325910l);
        ids.add(325911l);
        ids.add(325912l);
        ids.add(325913l);
        ids.add(325914l);
        ids.add(325915l);
        ids.add(325916l);
        ids.add(325917l);
        ids.add(325918l);
        ids.add(325919l);
        ids.add(325920l);
        ids.add(325921l);
        ids.add(325922l);
        ids.add(325923l);
        ids.add(325924l);
        ids.add(325925l);
        ids.add(325926l);
        ids.add(325927l);
        ids.add(325928l);
        ids.add(325929l);
        ids.add(325930l);
        ids.add(325931l);
        ids.add(326393l);
        ids.add(326394l);
        ids.add(326395l);
        ids.add(326396l);
        ids.add(326397l);
        ids.add(326398l);
        ids.add(326399l);
        ids.add(326400l);
        ids.add(326401l);
        ids.add(326402l);
        ids.add(326403l);
        ids.add(326404l);
        ids.add(326405l);
        ids.add(326406l);
        ids.add(326407l);
        ids.add(326408l);
        ids.add(326409l);
        ids.add(326410l);
        ids.add(326411l);
        ids.add(326412l);
        ids.add(326413l);
        ids.add(326414l);
        ids.add(326415l);
        ids.add(326416l);
        ids.add(326417l);
        ids.add(326418l);
        ids.add(326419l);
        ids.add(326420l);
        ids.add(326421l);
        ids.add(326422l);
        ids.add(326423l);
        ids.add(326893l);
        ids.add(326894l);
        ids.add(326895l);
        ids.add(326896l);
        ids.add(326897l);
        ids.add(326898l);
        ids.add(326899l);
        ids.add(326900l);
        ids.add(326901l);
        ids.add(326902l);
        ids.add(326903l);
        ids.add(326904l);
        ids.add(326905l);
        ids.add(326906l);
        ids.add(326907l);
        ids.add(326908l);
        ids.add(326909l);
        ids.add(326910l);
        ids.add(326911l);
        ids.add(326912l);
        ids.add(326913l);
        ids.add(326914l);
        ids.add(326915l);
        ids.add(326916l);
        ids.add(326917l);
        ids.add(326918l);
        ids.add(326919l);
        ids.add(326920l);
        ids.add(326921l);
        ids.add(326922l);
        ids.add(326923l);
        ids.add(326924l);
        ids.add(325465l);
        ids.add(325466l);
        ids.add(325467l);
        ids.add(325468l);
        ids.add(325469l);
        ids.add(325470l);
        ids.add(325471l);
        ids.add(325472l);
        ids.add(325473l);
        ids.add(325474l);
        ids.add(325475l);
        ids.add(325476l);
        ids.add(325477l);
        ids.add(325478l);
        ids.add(325479l);
        ids.add(325480l);
        ids.add(325481l);
        ids.add(325482l);
        ids.add(325483l);
        ids.add(325484l);
        ids.add(325485l);
        ids.add(325486l);
        ids.add(325487l);
        ids.add(325488l);
        ids.add(325489l);
        ids.add(325490l);
        ids.add(325491l);
        ids.add(325492l);
        ids.add(325493l);
        ids.add(325494l);
        ids.add(325495l);
        ids.add(325496l);
        ids.add(325932l);
        ids.add(325933l);
        ids.add(325934l);
        ids.add(325935l);
        ids.add(325936l);
        ids.add(325937l);
        ids.add(325938l);
        ids.add(325939l);
        ids.add(325940l);
        ids.add(325941l);
        ids.add(325942l);
        ids.add(325943l);
        ids.add(325944l);
        ids.add(325945l);
        ids.add(325946l);
        ids.add(325947l);
        ids.add(325948l);
        ids.add(325949l);
        ids.add(325950l);
        ids.add(325951l);
        ids.add(325952l);
        ids.add(325953l);
        ids.add(325954l);
        ids.add(325955l);
        ids.add(325956l);
        ids.add(325957l);
        ids.add(325958l);
        ids.add(325959l);
        ids.add(325960l);
        ids.add(325961l);
        ids.add(325962l);
        ids.add(325963l);
        ids.add(326424l);
        ids.add(326425l);
        ids.add(326426l);
        ids.add(326427l);
        ids.add(326428l);
        ids.add(326429l);
        ids.add(326430l);
        ids.add(326431l);
        ids.add(326432l);
        ids.add(326433l);
        ids.add(326434l);
        ids.add(326435l);
        ids.add(326436l);
        ids.add(326437l);
        ids.add(326438l);
        ids.add(326439l);
        ids.add(326440l);
        ids.add(326441l);
        ids.add(326442l);
        ids.add(326443l);
        ids.add(326444l);
        ids.add(326445l);
        ids.add(326446l);
        ids.add(326447l);
        ids.add(326448l);
        ids.add(326449l);
        ids.add(326450l);
        ids.add(326451l);
        ids.add(326452l);
        ids.add(326453l);
        ids.add(326454l);
        ids.add(326925l);
        ids.add(326926l);
        ids.add(326927l);
        ids.add(326928l);
        ids.add(326929l);
        ids.add(326930l);
        ids.add(326931l);
        ids.add(326932l);
        ids.add(326933l);
        ids.add(326934l);
        ids.add(326935l);
        ids.add(326936l);
        ids.add(326937l);
        ids.add(326938l);
        ids.add(326939l);
        ids.add(325497l);
        ids.add(325498l);
        ids.add(325499l);
        ids.add(325500l);
        ids.add(325501l);
        ids.add(325502l);
        ids.add(325503l);
        ids.add(325504l);
        ids.add(325505l);
        ids.add(325506l);
        ids.add(325507l);
        ids.add(325508l);
        ids.add(325509l);
        ids.add(325510l);
        ids.add(325511l);
        ids.add(325512l);
        ids.add(325513l);
        ids.add(325514l);
        ids.add(325515l);
        ids.add(325516l);
        ids.add(325517l);
        ids.add(325518l);
        ids.add(325519l);
        ids.add(325520l);
        ids.add(325521l);
        ids.add(325522l);
        ids.add(325523l);
        ids.add(325524l);
        ids.add(325525l);
        ids.add(325526l);
        ids.add(325527l);
        ids.add(325528l);
        ids.add(325964l);
        ids.add(325965l);
        ids.add(325966l);
        ids.add(325967l);
        ids.add(325968l);
        ids.add(325969l);
        ids.add(325970l);
        ids.add(325971l);
        ids.add(325972l);
        ids.add(325973l);
        ids.add(325974l);
        ids.add(325975l);
        ids.add(325976l);
        ids.add(325977l);
        ids.add(325978l);
        ids.add(325979l);
        ids.add(325980l);
        ids.add(325981l);
        ids.add(325982l);
        ids.add(325983l);
        ids.add(325984l);
        ids.add(325985l);
        ids.add(325986l);
        ids.add(325987l);
        ids.add(325988l);
        ids.add(325989l);
        ids.add(325990l);
        ids.add(325991l);
        ids.add(325992l);
        ids.add(325993l);
        ids.add(325994l);
        ids.add(325995l);
        ids.add(326455l);
        ids.add(326456l);
        ids.add(326457l);
        ids.add(326458l);
        ids.add(326459l);
        ids.add(326460l);
        ids.add(326461l);
        ids.add(326462l);
        ids.add(326463l);
        ids.add(326464l);
        ids.add(326465l);
        ids.add(326466l);
        ids.add(326467l);
        ids.add(326468l);
        ids.add(326469l);
        ids.add(326470l);
        ids.add(326471l);
        ids.add(326472l);
        ids.add(326473l);
        ids.add(326474l);
        ids.add(326475l);
        ids.add(326476l);
        ids.add(326477l);
        ids.add(326478l);
        ids.add(326479l);
        ids.add(326480l);
        ids.add(326481l);
        ids.add(326482l);
        ids.add(326483l);
        ids.add(326484l);
        ids.add(326485l);
        ids.add(325529l);
        ids.add(325530l);
        ids.add(325531l);
        ids.add(325532l);
        ids.add(325533l);
        ids.add(325534l);
        ids.add(325535l);
        ids.add(325536l);
        ids.add(325537l);
        ids.add(325538l);
        ids.add(325539l);
        ids.add(325540l);
        ids.add(325541l);
        ids.add(325542l);
        ids.add(325543l);
        ids.add(325544l);
        ids.add(325545l);
        ids.add(325546l);
        ids.add(325547l);
        ids.add(325548l);
        ids.add(325549l);
        ids.add(325550l);
        ids.add(325551l);
        ids.add(325552l);
        ids.add(325553l);
        ids.add(325554l);
        ids.add(325555l);
        ids.add(325556l);
        ids.add(325557l);
        ids.add(325558l);
        ids.add(325559l);
        ids.add(325996l);
        ids.add(325997l);
        ids.add(325998l);
        ids.add(325999l);
        ids.add(326000l);
        ids.add(326001l);
        ids.add(326002l);
        ids.add(326003l);
        ids.add(326004l);
        ids.add(326005l);
        ids.add(326006l);
        ids.add(326007l);
        ids.add(326008l);
        ids.add(326009l);
        ids.add(326010l);
        ids.add(326011l);
        ids.add(326012l);
        ids.add(326013l);
        ids.add(326014l);
        ids.add(326015l);
        ids.add(326016l);
        ids.add(326017l);
        ids.add(326018l);
        ids.add(326019l);
        ids.add(326020l);
        ids.add(326021l);
        ids.add(326022l);
        ids.add(326023l);
        ids.add(326024l);
        ids.add(326025l);
        ids.add(326026l);
        ids.add(326027l);
        ids.add(326486l);
        ids.add(326487l);
        ids.add(326488l);
        ids.add(326489l);
        ids.add(326490l);
        ids.add(326491l);
        ids.add(326492l);
        ids.add(326493l);
        ids.add(326494l);
        ids.add(326495l);
        ids.add(326496l);
        ids.add(326497l);
        ids.add(326498l);
        ids.add(326499l);
        ids.add(326500l);
        ids.add(326501l);
        ids.add(326502l);
        ids.add(326503l);
        ids.add(326504l);
        ids.add(326505l);
        ids.add(326506l);
        ids.add(326507l);
        ids.add(326508l);
        ids.add(326509l);
        ids.add(326510l);
        ids.add(326511l);
        ids.add(326512l);
        ids.add(326513l);
        ids.add(326514l);
        ids.add(326515l);
        ids.add(326516l);
        ids.add(326517l);
        ids.add(325560l);
        ids.add(325561l);
        ids.add(325562l);
        ids.add(325563l);
        ids.add(325564l);
        ids.add(325565l);
        ids.add(325566l);
        ids.add(325567l);
        ids.add(325568l);
        ids.add(325569l);
        ids.add(325570l);
        ids.add(325571l);
        ids.add(325572l);
        ids.add(325573l);
        ids.add(325574l);
        ids.add(325575l);
        ids.add(325576l);
        ids.add(325577l);
        ids.add(325578l);
        ids.add(325579l);
        ids.add(325580l);
        ids.add(325581l);
        ids.add(325582l);
        ids.add(325583l);
        ids.add(325584l);
        ids.add(325585l);
        ids.add(325586l);
        ids.add(325587l);
        ids.add(325588l);
        ids.add(325589l);
        ids.add(325590l);
        ids.add(325591l);

        try {
            List<MunicipioActualizacion> ppz = dao.obtenerPorIdsTramites(ids);

            Assert.assertNotNull(ppz);

            for (MunicipioActualizacion ppzona : ppz) {
                LOGGER.debug("Número predial: " +
                    ppzona.getDepartamento().getNombre());
            }
        } catch (Exception e) {
            LOGGER.error(
                "Error en MunicipioActualizacionDAOBeanTest#testObtenerPorIdsTramites: " +
                e.getMessage(), e);
            Assert.fail();
        }

    }

}
